StaticRecipientList (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.outbound.StaticRecipientList class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.outbound
Class StaticRecipientList

    java.lang.Object
      org.mule.routing.AbstractRouter
          org.mule.routing.outbound.AbstractOutboundRouter
              org.mule.routing.outbound.FilteringOutboundRouter
                  org.mule.routing.outbound.AbstractRecipientList
                      org.mule.routing.outbound.StaticRecipientList

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, OutboundRouter, Router

    public class StaticRecipientList

extends AbstractRecipientList

`StaticRecipientList` is used to dispatch a single event to multiple recipients over the same transport. The recipient endpoints for this router can be configured statically on the router itself.

Field Summary
`static String` | `RECIPIENT_DELIMITER`
`static String` | `RECIPIENTS_PROPERTY`

Fields inherited from class org.mule.routing.outbound.AbstractRecipientList
`logger`

Fields inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`expressionManager`

Fields inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`ENABLE_CORRELATION_ALWAYS, ENABLE_CORRELATION_IF_NOT_SET, ENABLE_CORRELATION_NEVER, enableCorrelation, endpoints, messageInfoMapping, replyTo, resultsHandler, transactionConfig`

Fields inherited from class org.mule.routing.AbstractRouter
`muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`StaticRecipientList()`

Method Summary
`protected String` | `getListDelimiter()` Overloading classes can change the delimiter used to separate entries in the recipient list.
`List` | `getRecipients()`
`protected List` | `getRecipients(MuleMessage message)`
`void` | `setRecipients(List recipients)`

Methods inherited from class org.mule.routing.outbound.AbstractRecipientList
`getRecipientEndpoint, getRecipientEndpointFromString, getRecipientEndpointFromUri, getSynchronous, isDynamicEndpoints, route, setSynchronous`

Methods inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`addEndpoint, getEndpoint, getFilter, getTransformers, initialise, isMatch, isRequiresNewMessage, isUseTemplates, setFilter, setTransformers, setUseTemplates`

Methods inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`createTransactionTemplate, dispatch, getEnableCorrelation, getEndpoint, getEndpoints, getMessageInfoMapping, getReplyTo, getResultsHandler, getTransactionConfig, removeEndpoint, send, setEnableCorrelation, setEnableCorrelationAsString, setEndpoints, setMessageInfoMapping, setMessageProperties, setReplyTo, setResultsHandler, setTransactionConfig`

Methods inherited from class org.mule.routing.AbstractRouter
`dispose, getMuleContext, getRouterStatistics, setMuleContext, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### RECIPIENTS_PROPERTY

    public static final String RECIPIENTS_PROPERTY

See Also:
  Constant Field Values

### RECIPIENT_DELIMITER

    public static final String RECIPIENT_DELIMITER

See Also:
  Constant Field Values

Constructor Detail

### StaticRecipientList

    public StaticRecipientList()

Method Detail

### getRecipients

    protected List getRecipients(MuleMessage message)

  Specified by:
    `getRecipients` in class `AbstractRecipientList`

### getRecipients

    public List getRecipients()

### setRecipients

    public void setRecipients(List recipients)

### getListDelimiter

    protected String getListDelimiter()

  Overloading classes can change the delimiter used to separate entries in the recipient list. By default a ',' is used.

  Returns:
    The list delimiter to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.